Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.model.dlna.message.header
Enum TransferModeHeader.Type

    java.lang.Object
      java.lang.Enum<TransferModeHeader.Type>
          org.fourthline.cling.support.model.dlna.message.header.TransferModeHeader.Type

All Implemented Interfaces:
  Serializable, Comparable<TransferModeHeader.Type>

Enclosing class:
  TransferModeHeader

    public static enum TransferModeHeader.Type

extends Enum<TransferModeHeader.Type>

Enum Constant Summary
`Background`
`Interactive`
`Streaming`

Method Summary
`static TransferModeHeader.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransferModeHeader.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Streaming

    public static final TransferModeHeader.Type Streaming

### Interactive

    public static final TransferModeHeader.Type Interactive

### Background

    public static final TransferModeHeader.Type Background

Method Detail

### values

    public static TransferModeHeader.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransferModeHeader.Type c : TransferModeHeader.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransferModeHeader.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.